Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160820 - nVidia driver requires upstream page_attr patch
Summary: nVidia driver requires upstream page_attr patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Anderson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-17 15:56 UTC by Bryan Mason
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:24:04 UTC


Attachments (Terms of Use)
Patch to fix issues with nVidia driver (deleted)
2005-06-17 15:56 UTC, Bryan Mason
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Bryan Mason 2005-06-17 15:56:29 UTC
Description of problem:

Latest version of nVidia driver (7175 or better) requires the attached upstream
patch to run correctly.  Without the patch, system hangs randomly and/or video
is corrupted.  This is critical to DreamWorks rollout of new hardware.  This is
also critical to HP's sales of xw9300 workstations.

The attached patch was downloaded from
http://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv2.4%2Ftesting%2Fcset%2Fcset-ak%40muc.de%7CChangeSet%7C20050407120752%7C50789.txt;z=all
which seems to have been removed since it was originally downloaded.

The patch appears to be a combination of the patches available from
http://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv2.4%2Fpatch-2.4.31.bz2;z=15
and
http://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv2.4%2Fpatch-2.4.31.bz2;z=5

Comment 1 Bryan Mason 2005-06-17 15:56:30 UTC
Created attachment 115615 [details]
Patch to fix issues with nVidia driver

Comment 2 Bryan Mason 2005-06-17 16:45:37 UTC
Additional Note: This is needed for both x86_64 and i386 architectures.

Comment 3 Dave Anderson 2005-06-17 20:45:06 UTC
I have built test i386 and x86_64 (and ia32e) kernels containing the patch
in Comment #1.

In this location:

  http://people.redhat.com/anderson/.BZ_160820

There are 6 kernel binary packages along with the associated kernel src.rpm:
 
  kernel-2.4.21-32.8.bz160820.EL.i686.rpm
  kernel-smp-2.4.21-32.8.bz160820.EL.i686.rpm
  kernel-hugemem-2.4.21-32.8.bz160820.EL.i686.rpm

  kernel-2.4.21-32.8.bz160820.EL.x86_64.rpm
  kernel-smp-2.4.21-32.8.bz160820.EL.x86_64.rpm

  kernel-2.4.21-32.8.bz160820.EL.ia32e.rpm

  kernel-2.4.21-32.8.bz160820.EL.src.rpm 

At least one of the x86 and one of the x86_64 kernels need to be tested
with the nVidea driver.



Comment 4 Bryan Mason 2005-06-17 21:17:16 UTC
DreamWorks has already tested the 2.4.21-32, 2.4.21-31, and 2.4.21-27 kernels
with the pageattr patch built into them.  I built these for them just for
testing purposes, and they've said that all three kernels have worked well for
them.  Would you like me to ask them to also test the 2.4.21-32.8.bz160820
kernels?  Or are the previous tests good enough?

They haven't tested a 32-bit kernel yet, so I'll ask them to test that one.

Comment 5 Bryan Mason 2005-06-17 21:41:07 UTC
DreamWorks says that they can test the 32-bit kernel but they need the
kernel-source package to test the nVidia driver with the kernel.  Can that be
uploaded to people.redhat.com/anderson/.VZ_160820 as well?

Comment 6 Dave Anderson 2005-06-20 12:31:34 UTC
Since we can't test them here, yes, please have them test
at least one of the x86 kernels and one of the x86_64 kernels
(x86_64 or ia32e).  The kernel-source packages have been
added:

  kernel-source-2.4.21-32.8.bz160820.EL.i386.rpm
  kernel-source-2.4.21-32.8.bz160820.EL.x86_64.rpm



Comment 7 Bryan Mason 2005-06-20 16:22:37 UTC
Thanks.  I've asked DreamWorks to test both x86_64 and x86.

Comment 8 Ernie Petrides 2005-06-20 18:11:45 UTC
Reverting to NEEDINFO state.

Comment 10 Bryan Mason 2005-06-24 05:17:48 UTC
DreamWorks has said that they have tested both the 32- and 64-bit kernels.  The
nVidia driver installs cleanly and everything worked fine.  He used the system
all day with no incidents (which would have been highly improbably without the
pageattr patch).

Comment 11 Dave Anderson 2005-06-24 13:05:22 UTC

Should we wait for a successful test report from HP as well?



Comment 14 Dave Anderson 2005-06-24 18:05:10 UTC
I'm not Carnac, but I'll post the patch to rhkernel-list and
set this BZ on the RHEL3-U6 Proposed list.

Comment 21 Ernie Petrides 2005-07-12 01:04:38 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.10.EL).


Comment 22 Accelerated Fix Request (Red Hat Internal App) 2005-07-18 18:41:11 UTC
From User-Agent: XML-RPC

HOTFIX Requested http://seg.rdu.redhat.com/scripts/hotfix/edit.pl?id=396

Comment 23 Accelerated Fix Request (Red Hat Internal App) 2005-07-18 19:03:58 UTC
From User-Agent: XML-RPC

HOTFIX Request has been released http://seg.rdu.redhat.com/scripts/hotfix/edit.pl?id=396

Comment 28 Red Hat Bugzilla 2005-09-28 15:24:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.